#
# Conditional build:
%bcond_without	tests		# build without tests

%define		php_name	php%{?php_suffix}
%define		modname	runkit
%define		status	beta
Summary:	%{modname} - mangle with user defined functions and classes
Summary(pl.UTF-8):	%{modname} - obróbka zdefiniowanych przez użytkownika funkcji i klas
Name:		%{php_name}-pecl-%{modname}
Version:	0.9
Release:	5
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	855786f79a3803972b04e44c32cece8d
Patch0:		branch.diff
Patch1:		php52-api-warnings.patch
Patch2:		php53.patch
Patch3:		php53-zts.patch
Patch4:		php53-refcount.patch
Patch5:		php53-sapi_headers.patch
URL:		http://pecl.php.net/package/runkit/
BuildRequires:	%{php_name}-devel >= 4:5.3.2-5
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Replace, rename, and remove user defined functions and classes. Define
customized superglobal variables for general purpose use. Execute code
in restricted environment (sandboxing).

In PECL status of this extension is: %{status}.

%description -l pl.UTF-8
Zastępowanie, zmiana nazwy lub usuwanie zdefiniowanych przez
użytkownika funkcji i klas. Definiowanie zmiennych superglobalnych do
ogólnego użytku. Wykonywanie danego kodu w ograniczonym środowisku
(sandbox).

To rozszerzenie ma w PECL status: %{status}.

%description -l ru.UTF-8
Замещение, переименование и удаление оперделенных пользователем
функций и классов. Определение собственных суперглобальных переменных.
Выполнение кода в ограниченной среде (песочнице)

%prep
%setup -qc
mv %{modname}-%{version}/* .
%patch0 -p0
%patch1 -p1
%patch2 -p2
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
phpize
%configure
%{__make}

%if %{with tests}
cat <<'EOF' > run-tests.sh
#!/bin/sh
%{__make} test \
	RUN_TESTS_SETTINGS="-q $*"
EOF
chmod +x run-tests.sh
./run-tests.sh -w failed.log
test -f failed.log -a ! -s failed.log
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install modules/%{modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc README
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Sat Nov 23 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-runkit.git;a=log;h=master

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> bbf3f0d
support building for multiple php versions

* Sat Jun 12 2010 Elan Ruusamäe <glen@pld-linux.org> e3aad48
- direct macro

* Mon Jun 07 2010 Elan Ruusamäe <glen@pld-linux.org> 3f452c0
- tests (all fail)

* Mon Jun 07 2010 Elan Ruusamäe <glen@pld-linux.org> 32255fe
- more php53 warning/error fixes, compiles now

* Sun Jun 06 2010 Elan Ruusamäe <glen@pld-linux.org> 5ce6075
- php53 bugfixes from fedora

* Sun Jun 06 2010 Elan Ruusamäe <glen@pld-linux.org> 34e531b
- one more

* Sun Jun 06 2010 Elan Ruusamäe <glen@pld-linux.org> 8aed4b1
- setter function prototype match

* Sun Jun 06 2010 Elan Ruusamäe <glen@pld-linux.org> 563dc92
- more warning fixes

* Sun Jun 06 2010 Elan Ruusamäe <glen@pld-linux.org> a77a5ed
- fix some warnings with php52

* Sun Jun 06 2010 Elan Ruusamäe <glen@pld-linux.org> 3e919a9
- copy ru desc from fedora (seems they copied pl from us)

* Sun Jun 06 2010 Elan Ruusamäe <glen@pld-linux.org> 6ef0ff8
- add branch.diff

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> d059b05
- release 5

* Tue Jun 02 2009 Elan Ruusamäe <glen@pld-linux.org> c91cade
- release 4

* Sun Oct 12 2008 Elan Ruusamäe <glen@pld-linux.org> d08d0d7
- more php52 fixes; rel 3

* Sun Oct 12 2008 Elan Ruusamäe <glen@pld-linux.org> 0c0fb7f
- more from http://pecl.php.net/bugs/bug.php?id=8849

* Sun Oct 12 2008 Elan Ruusamäe <glen@pld-linux.org> 9a46746
- fix build with php 5.2; rel 2

* Sun Oct 12 2008 Elan Ruusamäe <glen@pld-linux.org> d0f890a
- make it compile with php 5.2
  with info from http://gabriel.e-radical.ro/blog1.php/2008/09/25/runkit

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 9d26106
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0051999
- converted to UTF-8

* Tue Jan 02 2007 Elan Ruusamäe <glen@pld-linux.org> efa7235
- use new php extension related macros

